---
title: PeriodicWave
slug: Web/API/PeriodicWave
tags:
  - API
  - Audio
  - Interface
  - Media
  - PeriodicWave
  - Reference
  - Web Audio
  - Web Audio API
  - waveform
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <strong><code>PeriodicWave</code></strong> interface defines a periodic waveform that can be used to shape the output of an {{domxref("OscillatorNode")}}.</p>
</div>

<p><code>PeriodicWave</code> has no inputs or outputs; it is used to define custom oscillators when calling {{domxref("OscillatorNode.setPeriodicWave()")}}. The <code>PeriodicWave</code> itself is created/returned by {{domxref("AudioContext.createPeriodicWave()")}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
	<dt>{{domxref("PeriodicWave.PeriodicWave()")}}</dt>
	<dd>Creates a new <code>PeriodicWave</code> object instance using the default values for all properties. If you wish to establish custom property values at the outset, use the {{domxref("AudioContext.createPeriodicWave()")}} factory method instead.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>None; also, <code>PeriodicWave</code> doesn't inherit any properties.</em></p>

<h2 id="Methods">Methods</h2>

<p><em>None; also, <code>PeriodicWave</code> doesn't inherit any methods.</em></p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPeriodicWave","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Audio API', '#periodicwave', 'PeriodicWave')}}</td>
			<td>{{Spec2('Web Audio API')}}</td>
			<td></td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PeriodicWave")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
